package com.mvc.dao;

import com.mvc.entity.TUpgradePlanDetail;
import com.mvc.entity.TUpgradePlanDetailExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface TUpgradePlanDetailMapper {
    long countByExample(TUpgradePlanDetailExample example);

    int deleteByExample(TUpgradePlanDetailExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(TUpgradePlanDetail record);

    int insertSelective(TUpgradePlanDetail record);

    List<TUpgradePlanDetail> selectByExample(TUpgradePlanDetailExample example);

    TUpgradePlanDetail selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") TUpgradePlanDetail record, @Param("example") TUpgradePlanDetailExample example);

    int updateByExample(@Param("record") TUpgradePlanDetail record, @Param("example") TUpgradePlanDetailExample example);

    int updateByPrimaryKeySelective(TUpgradePlanDetail record);

    int updateByPrimaryKey(TUpgradePlanDetail record);
}